Cloud (Freeplane API 1.11.7)
Description: declaration: package: org.freeplane.api, interface: Cloud

Package org.freeplane.api

# Interface Cloud

All Known Subinterfaces:
  `Proxy.Cloud`

public interface Cloud
Here are four ways to enable a cloud on the current node and switch it off again:

       node.cloud.enabled = true
       node.cloud.enabled = false

       node.cloud.shape = 'ROUND_RECT' // either 'ARC', 'STAR', 'RECT' or 'ROUND_RECT'
       node.cloud.shape = null

       node.cloud.color = java.awt.Color.YELLOW
       node.cloud.color = null

       node.cloud.colorCode = '#00FF66'
       node.cloud.color = null

Since:
  1.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `getColor()`
  `String`
  `getColorCode()`
  `boolean`
  `getEnabled()`
  `String`
  `getShape()`
  `void`
  `setColor(Color color)`
  `void`
  `setColorCode(String rgbString)`
  `void`
  `setEnabled(boolean enable)`
  `void`
  `setShape(String shape)`

- ## Method Details

  - ### getEnabled

    boolean getEnabled()
    Since:
      1.3

  - ### setEnabled

    void setEnabled(boolean enable)
    Since:
      1.3

  - ### getShape

    String getShape()
    Returns:
      either null (if cloud is not enabled), "ARC", "STAR", "RECT" or "ROUND_RECT".
    Since:
      1.3

  - ### setShape

    void setShape(String shape)
    Parameters:
      `shape` - use "ARC", "STAR", "RECT" or "ROUND_RECT". null removes the cloud
    Since:
      1.3

  - ### getColor

    Color getColor()
    Returns:
      either null (if cloud is not enabled) or the current cloud color.
    Since:
      1.3

  - ### setColor

    void setColor(Color color)
    Since:
      1.3

  - ### getColorCode

    String getColorCode()
    Returns:
      either null (if cloud is not enabled) or a HTML color spec.
    Since:
      1.3

  - ### setColorCode

    void setColorCode(String rgbString)
    Parameters:
      `rgbString` - a HTML color spec like #ff0000 (red) or #222222 (darkgray).
    Since:
      1.3